Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.xsd
Class XsdMessages

    java.lang.Object
      java.util.ResourceBundle
          org.apache.ode.utils.msg.MessageBundle
              org.apache.ode.utils.xsd.XsdMessages

    public class XsdMessages

extends MessageBundle

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`XsdMessages()`

Method Summary
`java.lang.String` | `msgProcessingSchema(java.lang.String systemId)` Format a debug message about processing an XML Schema document.
`java.lang.String` | `msgXsdError()` A key to indicate that a message is an error.
`java.lang.String` | `msgXsdExceptionMessage(java.lang.String message, java.lang.String systemId, int lineNumber, int columnNumber)` Format a message about an exception that occurred while processing an XML Schema.
`java.lang.String` | `msgXsdFatal()` A key to indicate that a message is fatal error.
`java.lang.String` | `msgXsdMessage(java.lang.String type, java.lang.String msg, java.lang.String systemId, int line, int col)` Format a log message about an XSD-related warning or error.
`java.lang.String` | `msgXsdUnknownError(java.lang.String systemId)` An unknown error occured processing schema at {0}"
`java.lang.String` | `msgXsdWarning()` A key to indicate that a message is a warning.

Methods inherited from class org.apache.ode.utils.msg.MessageBundle
`format, format, getKeys, getMessages, getMessages, handleGetObject, todo`

Methods inherited from class java.util.ResourceBundle
`getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XsdMessages

    public XsdMessages()

Method Detail

### msgXsdWarning

    public java.lang.String msgXsdWarning()

  A key to indicate that a message is a warning.

### msgXsdError

    public java.lang.String msgXsdError()

  A key to indicate that a message is an error.

### msgXsdFatal

    public java.lang.String msgXsdFatal()

  A key to indicate that a message is fatal error.

### msgXsdMessage

    public java.lang.String msgXsdMessage(java.lang.String type,
                                          java.lang.String msg,
                                          java.lang.String systemId,
                                          int line,
                                          int col)

  Format a log message about an XSD-related warning or error.

  Parameters:
    `type` - the type of occurrence (e.g., warning, error, fatal)
    `msg` - the warning message
    `systemId` - the System ID of the schema
    `line` - the line number where the event occurred, or -1
    `col` - the column number where the event occurred, or -1
  Returns:
    the formatted message {0}: [{2} @ L{3}:C{4}]: {1}

### msgProcessingSchema

    public java.lang.String msgProcessingSchema(java.lang.String systemId)

  Format a debug message about processing an XML Schema document.

  Parameters:
    `systemId` - the System ID of the schema being processed
  Returns:
    the formatted message Processing schema with URI {0}.

### msgXsdExceptionMessage

    public java.lang.String msgXsdExceptionMessage(java.lang.String message,
                                                   java.lang.String systemId,
                                                   int lineNumber,
                                                   int columnNumber)

  Format a message about an exception that occurred while processing an XML Schema.

  Parameters:
    `message` - the detailed message about the exception
    `systemId` - the System ID of the schema
    `lineNumber` - the line number where the exception occurred, or -1
    `columnNumber` - the column number where the exception occurred, or -1
  Returns:
    the formatted message Unable to process XML Schema from {1} [@L{2}:C{3}]: {0}

### msgXsdUnknownError

    public java.lang.String msgXsdUnknownError(java.lang.String systemId)

  An unknown error occured processing schema at {0}"

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD